Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
[DEPRECATED] Use form field endpoints instead. List Custom fields
cURL
curl --request GET \ --url https://api.rootly.com/v1/custom_fields \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.rootly.com/v1/custom_fields" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rootly.com/v1/custom_fields', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.rootly.com/v1/custom_fields", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.rootly.com/v1/custom_fields" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.rootly.com/v1/custom_fields") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.rootly.com/v1/custom_fields") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "data": [ { "id": "<string>", "type": "custom_fields", "attributes": { "label": "<string>", "shown": [ "incident_form" ], "required": [ "incident_form" ], "position": 123, "created_at": "<string>", "updated_at": "<string>", "kind": "<string>", "enabled": true, "slug": "<string>", "resource_type": "incident", "description": "<string>", "default": "<string>" } } ], "links": { "self": "<string>", "first": "<string>", "prev": "<string>", "next": "<string>", "last": "<string>" }, "meta": { "current_page": 123, "next_page": 123, "prev_page": 123, "total_count": 123, "total_pages": 123, "next_cursor": "<string>" }, "included": [ { "id": "<string>", "type": "<string>", "attributes": {}, "relationships": {} } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
comma separated if needed. eg: options
options
comma separated if needed. eg: created_at,updated_at
created_at
-created_at
updated_at
-updated_at
position
-position
success
Show child attributes
Was this page helpful?
Contact support